Index: trunk/lib/FlairSimulator/src/Blade.h
===================================================================
--- trunk/lib/FlairSimulator/src/Blade.h	(revision 14)
+++ trunk/lib/FlairSimulator/src/Blade.h	(revision 15)
@@ -20,39 +20,33 @@
 #include <ISceneNode.h>
 
-namespace irr
-{
-    namespace scene
-    {
-        class IMesh;
-    }
+namespace irr {
+namespace scene {
+class IMesh;
+}
 }
 
-namespace flair
-{
-namespace simulator
-{
-    class MeshSceneNode;
-    class Model;
+namespace flair {
+namespace simulator {
+class MeshSceneNode;
+class Model;
 
-    class Blade : public irr::scene::ISceneNode
-    {
-        public:
+class Blade : public irr::scene::ISceneNode {
+public:
+  Blade(Model *parent,
+        const irr::core::vector3df &position = irr::core::vector3df(0, 0, 0),
+        bool inverted = false, irr::s32 id = -1);
+  virtual void OnRegisterSceneNode(void);
+  virtual void render(void);
+  virtual const irr::core::aabbox3d<irr::f32> &getBoundingBox(void) const {
+    return Box;
+  }
+  void SetRotationSpeed(float value);
 
-            Blade(Model* parent,const irr::core::vector3df& position = irr::core::vector3df(0,0,0),bool inverted=false,irr::s32 id=-1);
-            virtual void OnRegisterSceneNode(void);
-            virtual void render(void);
-            virtual const irr::core::aabbox3d<irr::f32>& getBoundingBox(void) const
-            {
-                return Box;
-            }
-            void SetRotationSpeed(float value);
-
-
-        private:
-            irr::scene::IMesh *pale;
-            irr::core::aabbox3d<irr::f32> Box;
-            MeshSceneNode *pale_1,*pale_2;
-            irr::scene::ISceneNodeAnimator *anim;
-    };
+private:
+  irr::scene::IMesh *pale;
+  irr::core::aabbox3d<irr::f32> Box;
+  MeshSceneNode *pale_1, *pale_2;
+  irr::scene::ISceneNodeAnimator *anim;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/lib/FlairSimulator/src/Castle.cpp
===================================================================
--- trunk/lib/FlairSimulator/src/Castle.cpp	(revision 14)
+++ trunk/lib/FlairSimulator/src/Castle.cpp	(revision 15)
@@ -24,23 +24,20 @@
 using namespace flair::core;
 
-namespace flair
-{
-namespace simulator
-{
+namespace flair {
+namespace simulator {
 
-Castle::Castle(const Simulator* parent,int app_width, int app_height,int scene_width, int scene_height,std::string media_path): Gui(parent,"Castle",app_width,app_height,scene_width,scene_height, media_path)
-{
-    //carte
-    std::string file=media_path +"/map-20kdm2.pk3";
-	getDevice()->getFileSystem()->addFileArchive(file.c_str());
-	setMesh("20kdm2.bsp",vector3df(-1400,-65,-1349));
+Castle::Castle(const Simulator *parent, int app_width, int app_height,
+               int scene_width, int scene_height, std::string media_path)
+    : Gui(parent, "Castle", app_width, app_height, scene_width, scene_height,
+          media_path) {
+  // carte
+  std::string file = media_path + "/map-20kdm2.pk3";
+  getDevice()->getFileSystem()->addFileArchive(file.c_str());
+  setMesh("20kdm2.bsp", vector3df(-1400, -65, -1349));
 }
 
-Castle::~Castle()
-{
-
-}
+Castle::~Castle() {}
 
 } // end namespace simulator
 } // end namespace flair
-#endif //GL
+#endif // GL
Index: trunk/lib/FlairSimulator/src/Castle.h
===================================================================
--- trunk/lib/FlairSimulator/src/Castle.h	(revision 14)
+++ trunk/lib/FlairSimulator/src/Castle.h	(revision 15)
@@ -19,17 +19,15 @@
 
 #include <Gui.h>
-namespace flair
-{
-namespace simulator
-{
-    class Castle:public Gui
-    {
-        public:
-            Castle(const flair::simulator::Simulator* parent,int app_width, int app_height,int scene_width, int scene_height,std::string media_path);
-            ~Castle();
+namespace flair {
+namespace simulator {
+class Castle : public Gui {
+public:
+  Castle(const flair::simulator::Simulator *parent, int app_width,
+         int app_height, int scene_width, int scene_height,
+         std::string media_path);
+  ~Castle();
 
-        private:
-
-    };
+private:
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/lib/FlairSimulator/src/DiscreteTimeVariable.h
===================================================================
--- trunk/lib/FlairSimulator/src/DiscreteTimeVariable.h	(revision 14)
+++ trunk/lib/FlairSimulator/src/DiscreteTimeVariable.h	(revision 15)
@@ -20,36 +20,29 @@
 #include <stdlib.h>
 
-namespace flair
-{
-namespace simulator
-{
-    template <typename T,size_t size>
-    class DiscreteTimeVariable
-    {
-        public:
-            DiscreteTimeVariable(){};
-            ~DiscreteTimeVariable(){};
-            T& operator[](ssize_t idx)
-            {
-                if(idx>0) idx=0;
-                if(idx<(ssize_t)(-size+1)) idx=-size+1;
-                return array[-idx];
-            }
-            const T&operator[](ssize_t idx) const
-            {
-                return const_cast<T&>(*this)[idx];
-            };
-            void Update(void)
-            {
-                for(int i=size-1;i>0;i--)
-                {
-                    array[i]=array[i-1];
-                }
-            }
+namespace flair {
+namespace simulator {
+template <typename T, size_t size> class DiscreteTimeVariable {
+public:
+  DiscreteTimeVariable(){};
+  ~DiscreteTimeVariable(){};
+  T &operator[](ssize_t idx) {
+    if (idx > 0)
+      idx = 0;
+    if (idx < (ssize_t)(-size + 1))
+      idx = -size + 1;
+    return array[-idx];
+  }
+  const T &operator[](ssize_t idx) const {
+    return const_cast<T &>(*this)[idx];
+  };
+  void Update(void) {
+    for (int i = size - 1; i > 0; i--) {
+      array[i] = array[i - 1];
+    }
+  }
 
-        private:
-            T array[size];
-
-    };
+private:
+  T array[size];
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/lib/FlairSimulator/src/GenericObject.cpp
===================================================================
--- trunk/lib/FlairSimulator/src/GenericObject.cpp	(revision 14)
+++ trunk/lib/FlairSimulator/src/GenericObject.cpp	(revision 15)
@@ -37,88 +37,72 @@
 using namespace flair::simulator;
 
-namespace flair
+namespace flair {
+namespace simulator {
+
+GenericObject::GenericObject(Simulator *parent, std::string name,
+                             ISceneManager *sceneManager)
+    : IMeshSceneNode(sceneManager->getRootSceneNode(), sceneManager,
+                     -1) //, IODevice(parent,name)
 {
-namespace simulator
-{
+  setMaterialFlag(EMF_LIGHTING, false);
+  Material = getMaterial(0);
+  // setMaterialTexture(0,sceneManager->getVideoDriver()->getTexture("/home/cesar/igep/uav_dev_svn/trunk/media/nskinbl.jpg"));
+  Material.NormalizeNormals = true;
+  Material.Wireframe = false;
+  Material.Lighting = false;
 
-GenericObject::GenericObject(Simulator* parent,std::string name, ISceneManager* sceneManager) : IMeshSceneNode(sceneManager->getRootSceneNode(), sceneManager, -1)//, IODevice(parent,name)
-{
-    setMaterialFlag(EMF_LIGHTING,false);
-    Material=getMaterial(0);
-    //setMaterialTexture(0,sceneManager->getVideoDriver()->getTexture("/home/cesar/igep/uav_dev_svn/trunk/media/nskinbl.jpg"));
-    Material.NormalizeNormals = true;
-    Material.Wireframe = false;
-    Material.Lighting = false;
-
-    parent->pimpl_->objects.push_back(this);
+  parent->pimpl_->objects.push_back(this);
 }
 
-GenericObject::~GenericObject()
-{
+GenericObject::~GenericObject() {}
 
+void GenericObject::setScale(float value) {
+  ISceneNode::setScale(vector3df(value, value, value));
 }
 
-void GenericObject::setScale(float value)
-{
-    ISceneNode::setScale(vector3df(value,value,value));
+void GenericObject::setScale(vector3df scale) { ISceneNode::setScale(scale); }
+
+ITriangleSelector *GenericObject::TriangleSelector(void) { return selector; }
+
+void GenericObject::OnRegisterSceneNode(void) {
+  if (IsVisible)
+    SceneManager->registerNodeForRendering(this);
+
+  ISceneNode::OnRegisterSceneNode();
 }
 
-void GenericObject::setScale(vector3df scale)
-{
-    ISceneNode::setScale(scale);
+void GenericObject::render(void) {
+  IVideoDriver *driver = SceneManager->getVideoDriver();
+
+  driver->setMaterial(Material);
+
+  driver->setTransform(ETS_WORLD, AbsoluteTransformation);
+  driver->drawMeshBuffer(mesh->getMeshBuffer(0));
 }
 
-ITriangleSelector* GenericObject::TriangleSelector(void)
-{
-    return selector;
+void GenericObject::setMesh(IMesh *mesh) {
+  this->mesh = mesh;
+  box = mesh->getBoundingBox();
+
+  selector = getSceneManager()->createTriangleSelector(mesh, this);
+  setTriangleSelector(selector);
 }
 
-void GenericObject::OnRegisterSceneNode(void)
-{
-    if (IsVisible)
-        SceneManager->registerNodeForRendering(this);
+IMesh *GenericObject::getMesh(void) { return mesh; }
 
-    ISceneNode::OnRegisterSceneNode();
+void GenericObject::setPosition(irr::core::vector3df pos) {
+  ISceneNode::setPosition(ToIrrlichtCoordinates(pos));
 }
 
-void GenericObject::render(void)
-{
-    IVideoDriver* driver = SceneManager->getVideoDriver();
+void GenericObject::setRotation(irr::core::vector3df rotation) {
+  Euler eulerA(rotation.X, rotation.Y, rotation.Z);
+  Euler eulerB;
+  Quaternion quatA, quatB;
+  eulerA.ToQuaternion(quatA);
+  quatB = ToIrrlichtOrientation(quatA);
+  quatB.ToEuler(eulerB);
 
-    driver->setMaterial(Material);
-
-    driver->setTransform(ETS_WORLD, AbsoluteTransformation);
-    driver->drawMeshBuffer(mesh->getMeshBuffer(0));
-}
-
-void GenericObject::setMesh(IMesh* mesh)
-{
-    this->mesh=mesh;
-    box=mesh->getBoundingBox();
-
-    selector = getSceneManager()->createTriangleSelector(mesh,this);
-    setTriangleSelector(selector);
-}
-
-IMesh* GenericObject::getMesh(void)
-{
-    return mesh;
-}
-
-void GenericObject::setPosition(irr::core::vector3df pos)
-{
-    ISceneNode::setPosition(ToIrrlichtCoordinates(pos));
-}
-
-void GenericObject::setRotation(irr::core::vector3df rotation)
-{
-    Euler eulerA(rotation.X,rotation.Y,rotation.Z);
-    Euler eulerB;
-    Quaternion quatA,quatB;
-    eulerA.ToQuaternion(quatA);
-    quatB=ToIrrlichtOrientation(quatA);
-    quatB.ToEuler(eulerB);
-
-    ISceneNode::setRotation(Euler::ToDegree(1)*vector3df(eulerB.roll,eulerB.pitch,eulerB.yaw));
+  ISceneNode::setRotation(Euler::ToDegree(1) *
+                          vector3df(eulerB.roll, eulerB.pitch, eulerB.yaw));
 }
 
Index: trunk/lib/FlairSimulator/src/Gui.cpp
===================================================================
--- trunk/lib/FlairSimulator/src/Gui.cpp	(revision 14)
+++ trunk/lib/FlairSimulator/src/Gui.cpp	(revision 15)
@@ -40,140 +40,134 @@
 
 namespace {
-    flair::simulator::Gui* gui_=NULL;
-    std::vector <std::string> extensions;
-    bool getGlInfo();
+flair::simulator::Gui *gui_ = NULL;
+std::vector<std::string> extensions;
+bool getGlInfo();
 }
 
-namespace flair { namespace simulator {
+namespace flair {
+namespace simulator {
 
-Gui* getGui(void) {
-    return gui_;
+Gui *getGui(void) { return gui_; }
+
+bool noGui(void) {
+  if (gui_ == NULL) {
+    return true;
+  } else {
+    return false;
+  }
 }
 
-bool noGui(void) {
-    if(gui_==NULL) {
-        return true;
-    } else {
-        return false;
+// getGlinfo, code from Song Ho Ahn (song.ahn@gmail.com)
+bool getGlInfo() {
+  char *str = 0;
+  char *tok = 0;
+
+  // get all extensions as a string
+  str = (char *)glGetString(GL_EXTENSIONS);
+
+  // split extensions
+  if (str) {
+    tok = strtok((char *)str, " ");
+    while (tok) {
+      extensions.push_back(tok); // put a extension into struct
+      tok = strtok(0, " ");      // next token
     }
+  } else {
+    printf("cannot get gl extensions\n");
+  }
+
+  // sort extension by alphabetical order
+  std::sort(extensions.begin(), extensions.end());
 }
 
-//getGlinfo, code from Song Ho Ahn (song.ahn@gmail.com)
-bool getGlInfo() {
-    char* str = 0;
-    char* tok = 0;
+// isGlExtensionSupported, code from Song Ho Ahn (song.ahn@gmail.com)
+bool isGlExtensionSupported(const std::string &ext) {
+  if (extensions.size() == 0)
+    getGlInfo();
 
-    // get all extensions as a string
-    str = (char*)glGetString(GL_EXTENSIONS);
+  // search corresponding extension
+  std::vector<std::string>::const_iterator iter = extensions.begin();
+  std::vector<std::string>::const_iterator endIter = extensions.end();
 
-    // split extensions
-    if(str) {
-        tok = strtok((char*)str, " ");
-        while(tok) {
-            extensions.push_back(tok);    // put a extension into struct
-            tok = strtok(0, " ");               // next token
-        }
-    } else {
-        printf("cannot get gl extensions\n");
-    }
-
-    // sort extension by alphabetical order
-    std::sort(extensions.begin(), extensions.end());
+  while (iter != endIter) {
+    if (ext == *iter)
+      return true;
+    else
+      ++iter;
+  }
+  return false;
 }
 
-//isGlExtensionSupported, code from Song Ho Ahn (song.ahn@gmail.com)
-bool isGlExtensionSupported(const std::string& ext) {
-    if(extensions.size()==0) getGlInfo();
+float ToIrrlichtScale(float value) { return value * 100.; }
 
-    // search corresponding extension
-    std::vector<std::string>::const_iterator iter = extensions.begin();
-    std::vector<std::string>::const_iterator endIter = extensions.end();
-
-    while(iter != endIter) {
-        if(ext == *iter)
-            return true;
-        else
-            ++iter;
-    }
-    return false;
-}
-
-float ToIrrlichtScale(float value) {
-    return value*100.;
-}
-
-float ToSimulatorScale(float value) {
-    return value/100.;
-}
+float ToSimulatorScale(float value) { return value / 100.; }
 
 vector3df ToIrrlichtCoordinates(vector3df vect) {
-    return ToIrrlichtScale(1)*vector3df(vect.X,vect.Y,-vect.Z);
+  return ToIrrlichtScale(1) * vector3df(vect.X, vect.Y, -vect.Z);
 }
 
 vector3df ToIrrlichtCoordinates(Vector3D vect) {
-    return ToIrrlichtScale(1)*vector3df(vect.x,vect.y,-vect.z);
+  return ToIrrlichtScale(1) * vector3df(vect.x, vect.y, -vect.z);
 }
 
 Vector3D ToSimulatorCoordinates(vector3df vect) {
-    return ToSimulatorScale(1)*Vector3D(vect.X,vect.Y,-vect.Z);
+  return ToSimulatorScale(1) * Vector3D(vect.X, vect.Y, -vect.Z);
 }
 
 Quaternion ToIrrlichtOrientation(Quaternion quat) {
-    /* original code
-    Euler euler;
-    quat.ToEuler(euler);
-    matrix4 m;
-    m.setRotationRadians(vector3df(0, 0, euler.yaw));
-    matrix4 n;
-    n.setRotationRadians(vector3df(0, -euler.pitch,0));
-    m *= n;
-    n.setRotationRadians(vector3df(-euler.roll, 0, 0));
-    m *= n;
-    */
-    //seems to be equivalent to:
-    return Quaternion(quat.q0,-quat.q1,-quat.q2,quat.q3);
+  /* original code
+  Euler euler;
+  quat.ToEuler(euler);
+  matrix4 m;
+  m.setRotationRadians(vector3df(0, 0, euler.yaw));
+  matrix4 n;
+  n.setRotationRadians(vector3df(0, -euler.pitch,0));
+  m *= n;
+  n.setRotationRadians(vector3df(-euler.roll, 0, 0));
+  m *= n;
+  */
+  // seems to be equivalent to:
+  return Quaternion(quat.q0, -quat.q1, -quat.q2, quat.q3);
 }
 
-Gui::Gui(const Simulator* parent,std::string name,int app_width, int app_height,int scene_width, int scene_height,std::string media_path,E_DRIVER_TYPE driver_type): Object(parent,name,"Gui") {
-    if(gui_!=NULL) Err("Gui should be instanced only one time\n");
-    pimpl_=new Gui_impl(this,app_width,app_height,scene_width,scene_height,media_path,driver_type);
-    gui_=this;
+Gui::Gui(const Simulator *parent, std::string name, int app_width,
+         int app_height, int scene_width, int scene_height,
+         std::string media_path, E_DRIVER_TYPE driver_type)
+    : Object(parent, name, "Gui") {
+  if (gui_ != NULL)
+    Err("Gui should be instanced only one time\n");
+  pimpl_ = new Gui_impl(this, app_width, app_height, scene_width, scene_height,
+                        media_path, driver_type);
+  gui_ = this;
 }
 
-Gui::~Gui() {
-    delete pimpl_;
+Gui::~Gui() { delete pimpl_; }
+
+float Gui::getAspectRatio(void) const {
+  return (float)pimpl_->scene_width / (float)pimpl_->scene_height;
 }
 
-float Gui::getAspectRatio(void) const {
-    return (float)pimpl_->scene_width/(float)pimpl_->scene_height;
+ISceneManager *Gui::getSceneManager(void) const { return pimpl_->smgr; }
+
+void Gui::setMesh(std::string file, vector3df position, vector3df rotation,
+                  vector3df scale) {
+  pimpl_->setMesh(file, position, rotation, scale);
 }
 
-ISceneManager* Gui::getSceneManager(void) const {
-    return pimpl_->smgr;
+vector3df Gui::getRotation(void) const { return pimpl_->node->getRotation(); }
+
+IrrlichtDevice *Gui::getDevice(void) const { return pimpl_->device; }
+
+ITexture *Gui::getTexture(std::string filename) const {
+  filename = pimpl_->media_path + "/" + filename;
+  return pimpl_->driver->getTexture(filename.c_str());
 }
 
-void Gui::setMesh(std::string file,vector3df position,vector3df rotation,vector3df scale) {
-    pimpl_->setMesh(file,position,rotation,scale);
-}
-
-vector3df Gui::getRotation(void) const {
-    return pimpl_->node->getRotation();
-}
-
-IrrlichtDevice *Gui::getDevice(void) const {
-    return pimpl_->device;
-}
-
-ITexture* Gui::getTexture(std::string filename) const {
-    filename=pimpl_->media_path+ "/" +filename;
-    return pimpl_->driver->getTexture(filename.c_str());
-}
-
-IAnimatedMesh* Gui::getMesh(std::string filename) const {
-    filename=pimpl_->media_path+ "/" +filename;
-    return pimpl_->smgr->getMesh(filename.c_str());
+IAnimatedMesh *Gui::getMesh(std::string filename) const {
+  filename = pimpl_->media_path + "/" + filename;
+  return pimpl_->smgr->getMesh(filename.c_str());
 }
 
 } // end namespace simulator
 } // end namespace flair
-#endif //GL
+#endif // GL
Index: trunk/lib/FlairSimulator/src/Gui.h
===================================================================
--- trunk/lib/FlairSimulator/src/Gui.h	(revision 14)
+++ trunk/lib/FlairSimulator/src/Gui.h	(revision 15)
@@ -22,27 +22,22 @@
 #include <vector3d.h>
 
-namespace irr
-{
-    class IrrlichtDevice;
-    namespace video
-    {
-        class ITexture;
-    }
-    namespace scene
-    {
-        class IAnimatedMesh;
-        class ISceneManager;
-    }
+namespace irr {
+class IrrlichtDevice;
+namespace video {
+class ITexture;
+}
+namespace scene {
+class IAnimatedMesh;
+class ISceneManager;
+}
 }
 
-namespace flair
-{
-    namespace core
-    {
-       class Object;
-       class Vector3D;
-       class Euler;
-       class Quaternion;
-    }
+namespace flair {
+namespace core {
+class Object;
+class Vector3D;
+class Euler;
+class Quaternion;
+}
 }
 
@@ -51,103 +46,106 @@
 class Model_impl;
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
+namespace flair {
+namespace simulator {
+class Simulator;
 
-    class Gui: public core::Object
-    {
-        friend class ::Simulator_impl;
+class Gui : public core::Object {
+  friend class ::Simulator_impl;
 
-        public:
-            Gui(const Simulator* parent,std::string name,int app_width, int app_height,int scene_width, int scene_height,std::string media_path,irr::video::E_DRIVER_TYPE driver_type=irr::video::EDT_OPENGL);
-            ~Gui();
-            irr::core::vector3df getRotation(void) const;
-            irr::video::ITexture* getTexture(std::string filename) const;
-            irr::scene::IAnimatedMesh* getMesh(std::string filename) const;
-            irr::scene::ISceneManager* getSceneManager(void) const;
-            float getAspectRatio(void) const;
+public:
+  Gui(const Simulator *parent, std::string name, int app_width, int app_height,
+      int scene_width, int scene_height, std::string media_path,
+      irr::video::E_DRIVER_TYPE driver_type = irr::video::EDT_OPENGL);
+  ~Gui();
+  irr::core::vector3df getRotation(void) const;
+  irr::video::ITexture *getTexture(std::string filename) const;
+  irr::scene::IAnimatedMesh *getMesh(std::string filename) const;
+  irr::scene::ISceneManager *getSceneManager(void) const;
+  float getAspectRatio(void) const;
 
-        protected:
-            irr::IrrlichtDevice *getDevice(void) const;
-            void setMesh(std::string file,irr::core::vector3df position = irr::core::vector3df(0,0,0),irr::core::vector3df rotation= irr::core::vector3df(0,0,0),irr::core::vector3df scale= irr::core::vector3df(1,1,1));
+protected:
+  irr::IrrlichtDevice *getDevice(void) const;
+  void setMesh(std::string file,
+               irr::core::vector3df position = irr::core::vector3df(0, 0, 0),
+               irr::core::vector3df rotation = irr::core::vector3df(0, 0, 0),
+               irr::core::vector3df scale = irr::core::vector3df(1, 1, 1));
 
-        private:
-            Gui_impl *pimpl_;
-    };
+private:
+  Gui_impl *pimpl_;
+};
 
-    /*!
-    * \brief get Gui
-    *
-    * \return the Gui
-    */
-    Gui* getGui(void);
+/*!
+* \brief get Gui
+*
+* \return the Gui
+*/
+Gui *getGui(void);
 
-    bool noGui(void);
+bool noGui(void);
 
-    bool isGlExtensionSupported(const std::string& ext); // check if a extension is supported
+bool isGlExtensionSupported(
+    const std::string &ext); // check if a extension is supported
 
-    /*!
-    * \brief Convert to irrlicht scale
-    *
-    * \param value value in simulator scale
-    *
-    * \return value in irrlicht scale
-    */
-    float ToIrrlichtScale(float value);
+/*!
+* \brief Convert to irrlicht scale
+*
+* \param value value in simulator scale
+*
+* \return value in irrlicht scale
+*/
+float ToIrrlichtScale(float value);
 
-    /*!
-    * \brief Convert to simulator scale
-    *
-    * \param value value in irrlicht scale
-    *
-    * \return value in simulator scale
-    */
-    float ToSimulatorScale(float value);
+/*!
+* \brief Convert to simulator scale
+*
+* \param value value in irrlicht scale
+*
+* \return value in simulator scale
+*/
+float ToSimulatorScale(float value);
 
-    /*!
-    * \brief Convert to irrlicht coordinates
-    *
-    * irrlicht is left handed and as a different scale
-    *
-    * \param vect vector in simulator coordinates
-    *
-    * \return vector in irrlicht coordinates
-    */
-    irr::core::vector3df ToIrrlichtCoordinates(irr::core::vector3df vect);
+/*!
+* \brief Convert to irrlicht coordinates
+*
+* irrlicht is left handed and as a different scale
+*
+* \param vect vector in simulator coordinates
+*
+* \return vector in irrlicht coordinates
+*/
+irr::core::vector3df ToIrrlichtCoordinates(irr::core::vector3df vect);
 
-    /*!
-    * \brief Convert to irrlicht coordinates
-    *
-    * irrlicht is left handed and as a different scale
-    *
-    * \param vect vector in simulator coordinates
-    *
-    * \return vector in irrlicht coordinates
-    */
-    irr::core::vector3df ToIrrlichtCoordinates(core::Vector3D vect);
+/*!
+* \brief Convert to irrlicht coordinates
+*
+* irrlicht is left handed and as a different scale
+*
+* \param vect vector in simulator coordinates
+*
+* \return vector in irrlicht coordinates
+*/
+irr::core::vector3df ToIrrlichtCoordinates(core::Vector3D vect);
 
-    /*!
-    * \brief Convert to simulator coordinates
-    *
-    * irrlicht is left handed and as a different scale
-    *
-    * \param vect vector in irrlicht coordinates
-    *
-    * \return vector in simulator coordinates
-    */
-    core::Vector3D ToSimulatorCoordinates(irr::core::vector3df vect);
+/*!
+* \brief Convert to simulator coordinates
+*
+* irrlicht is left handed and as a different scale
+*
+* \param vect vector in irrlicht coordinates
+*
+* \return vector in simulator coordinates
+*/
+core::Vector3D ToSimulatorCoordinates(irr::core::vector3df vect);
 
-    /*!
-    * \brief Convert to irrlicht orientation
-    *
-    * irrlicht is left handed
-    *
-    * \param quat quaternion in simulator frame
-    *
-    * \return quaternion in irrlicht frame
-    */
-    core::Quaternion ToIrrlichtOrientation(core::Quaternion quat);
+/*!
+* \brief Convert to irrlicht orientation
+*
+* irrlicht is left handed
+*
+* \param quat quaternion in simulator frame
+*
+* \return quaternion in irrlicht frame
+*/
+core::Quaternion ToIrrlichtOrientation(core::Quaternion quat);
 
 } // end namespace simulator
